SAV_FILE_NAME = 'sav'

function _tostring(data)
	local buf = 'return {'
	for i,v in pairs(data) do
		buf = buf .. i ..' = '..v..','
	end
	buf = buf .. '}'
	return buf
end

function save(data)
	love.filesystem.write('sav',_tostring(data))	
end

function load(file)
	return loadfile(love.filesystem.getSaveDirectory()..'/'..file)()
end


function love.load()
	love.filesystem.setIdentity('MyGame')
	data = {}
	data.page = 1
	data.next_text = 10
	data.upper_limit = 20
	data.lower_limit = 0
	save(data)
	data.page = 0
	data.next_text = 0
	data.upper_limit = 0
	data.lower_limit = 0
	data = load(SAV_FILE_NAME)
end

function love.draw()
	love.graphics.print(data.page,10,10)
	love.graphics.print(data.next_text,10,30)
	love.graphics.print(data.upper_limit,10,50)
	love.graphics.print(data.lower_limit,10,70)
end


